Bug 55235 - Up2date does not upgrade obsoleted packages.
Summary: Up2date does not upgrade obsoleted packages.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-27 22:48 UTC by Aleksey Nogin
Modified: 2015-01-07 23:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-26 23:45:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2001-10-27 22:48:49 UTC
Short description: When a system has a package that is obsoleted by some
package the channel up2date is running against, up2date does not offer to
upgrade it.

Long description: I was running up2date-2.7.2-7.x.6 (the one from 7.2) on a
mixed 7.1/7.2 system. The system had (among other things) the sane-1.0.3-10
package (from 7.1). Up2date did *not* offer to upgrade it to sane-frontends.

P.S. The system also had xsane-0.62-4 and xsane-gimp-0.62-4 (from 7.1)
installed. Up2date wanted to upgrade them to new xsane and xsane-gimp from
7.1 but failed complaining that a bunch of files from sane-backends (added
as a depenency of the new xsane* packages) conflicts with the sane-1.0.3-10
(the one that is obsoleted by sane-frontends which went unnoticed by up2date).

Comment 1 Adrian Likins 2001-11-01 22:19:54 UTC
This will be added for the next release of the up2date client.

Comment 2 Adrian Likins 2002-03-26 23:44:57 UTC
Make that, the next major release.... 3.x.something probabaly

Comment 3 Adrian Likins 2002-08-09 03:04:55 UTC
version in limbo should be supporting this now, so closing this out.


Note You need to log in before you can comment on or make changes to this bug.